--[[
   Copyright 2007-2020 The OpenRA Developers (see AUTHORS)
   This file is part of OpenRA, which is free software. It is made
   available to you under the terms of the GNU General Public License
   as published by the Free Software Foundation, either version 3 of
   the License, or (at your option) any later version. For more
   information, see COPYING.
]]

CommandersPowerText = ""
DominationText = ""
KotHText = ""

CPModifier = Map.LobbyOption("cpmodifier")

Tick = function()
	if CPModifier ~= "disabled" then
		TickCommandersPowers()
	end
	
	TickDomination()
	TickKotH()
	TickRegicide()
end

WorldLoaded = function()
	WorldLoadedCommandersPowers()
	WorldLoadedDomination()
	WorldLoadedKotH()
	WorldLoadedRegicide()

	playerss = Player.GetPlayers(function(p) return not p.IsNonCombatant end)

	for _,player in pairs(playerss) do
		local mcvs = player.GetActorsByTypes( { "amcv", "smcv", "pcv" } )
		Utils.Do(mcvs, function(mcv)
			mcv.GrantCondition("speedboost", DateTime.Seconds(30))
		end)
	end
end
